org.richfaces.component

## Enum ListType

- java.lang.Object
- - java.lang.Enum<ListType>
  - - org.richfaces.component.ListType

- All Implemented Interfaces:
    Serializable, Comparable<ListType>

      public enum ListType
      extends Enum<ListType>

  Author:
    Nick Belaevski

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `definitions`
    `ordered`
    `unordered`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ListType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ListType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ordered

          public static final ListType ordered

    - #### unordered

          public static final ListType unordered

    - #### definitions

          public static final ListType definitions

  - ### Method Detail

    - #### values

          public static ListType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ListType c : ListType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ListType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.